Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Tenant Secret APIs

Viewing Synchronizing Status

search

Please Note:

Viewing Synchronizing Status

Use the get /v1/cckm/sfdc/keys/synchronization-jobs API to view the list of synchronization jobs and their details. Use the request query parameters to filter the results.

curl -k '<IP>/api/v1/cckm/sfdc/keys/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringResource ID of the synchronization job.
overall_statusstringOverall status of the synchronization job. The status could be in_progress, completed, or failed.
organizationsstringList of IDs of the Salesforce organization resources on the CipherTrust Manager.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/keys/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 2,
    "resources": [
        {
            "id": "c8d2f27b-fb4f-4557-b63c-00d4a1439c4a",
            "uri": "kylo:kylo:cckm:synchronize:c8d2f27b-fb4f-4557-b63c-00d4a1439c4a",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-07-27T03:10:56.701039Z",
            "updatedAt": "2021-07-27T03:10:57.248093Z",
            "completed_at": "2021-07-27T03:10:57.247966Z",
            "overall_status": "completed",
            "detailed_status": {
                "00DB000000040bIMAQ": "Error listing keys from SFDC: "
            },
            "cloud": "sfdc",
            "kms": [
                "00DB000000040bIMAQ"
            ],
            "abort": false
        },
        {
            "id": "8d5ccc9f-0d18-482d-bb13-593665a4813c",
            "uri": "kylo:kylo:cckm:synchronize:8d5ccc9f-0d18-482d-bb13-593665a4813c",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-07-27T03:10:52.282288Z",
            "updatedAt": "2021-07-27T03:10:52.710539Z",
            "completed_at": "2021-07-27T03:10:52.710314Z",
            "overall_status": "completed",
            "detailed_status": {
                "00DB000000040bIMAQ": "Error listing keys from SFDC: "
            },
            "cloud": "sfdc",
            "kms": [
                "00DB000000040bIMAQ"
            ],
            "abort": false
        }
    ]
}

The sample output displays the list of synchronization jobs based on the specified request query parameters.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.